/*
 *         Copyright (C) 2008 Fadi Al-katout (cutout) <cutout33@gmail.com>
 * 
 *  Monajat is free software; you can redistribute it and/or modify   
 * it under the terms of the GNU General  Public Licence as published by the 
 * Free Software Foundation;  either version 2 of the Licence, 
 * or(at your option) any later version.
 * 
 * Monajat is distributed in  the hope that it will be useful,
 * but WITHOUT ANY WARRANTY;  without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A  PARTICULAR PURPOSE. 
 * See the GNU General  Public Licence for more details.
 * 
 * You should have received a copy of  the GNU General Public Licence
 * along with Monajat; 
 * if not, write to  the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor,  Boston, MA  02110-1301, USA
 */

package monajat.doa;

import java.io.File;
import java.io.FilenameFilter;
import java.util.Arrays;
import java.util.List;

import monajat.util.PropertyManager;
import monajat.util.Language_util.Language;


public final class DoaLoader {

	public static List<File> loadDoa() {
		File aDoaDir = new File(PropertyManager.getProperty("doaPath"), 
				Language.getCurrentLocale().getLanguage());
		File[] aFiles = aDoaDir.listFiles(new FilenameFilter() {
			public boolean accept(File dir, String name) {
				return (name.endsWith(".xml") || name.endsWith(".XML"));
			}
		});
		return Arrays.asList(aFiles);
	}
}
